<mat-card class="container tky-top-buffer mat-elevation-z16">
  <h4 class="text-center">INTRODUZCA LOS SIGUIENTES DATOS:
      <mat-icon (click)="hide[7] = !hide[7]" class="tky-cursor tky-right" color="accent">{{hide[7] ? 'visibility_off' : 'visibility'}}</mat-icon>
  </h4>
  <mat-card-content class="tky-full-width" *ngIf="hide[7]">
  <div class="row tky-top-buffer">
    <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formAire">
      <mat-card>
        <h3 class="text-center">Datos del Aire de Secado</h3>
        <mat-card-content class=" text-center  tky-full-width" *ngIf="hide[0]">
          <div class="row">
            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Temperatura"  class="text-center" formControlName="temperatura">
                  
                  <span matSuffix>°C</span>
                </mat-form-field>
              </h5>
            </div>

            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Humedad Relativa"  class="text-center" formControlName="humedad_relativa">
                  
                  <span matSuffix>Decimal</span>
                </mat-form-field>
              </h5>
            </div>
            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Caudal"  class="text-center" formControlName="caudal">
                  
                  <span matSuffix>m³/min-m²</span>
                </mat-form-field>
              </h5>
            </div>
          </div>
        </mat-card-content>
        <mat-icon (click)="hide[0] = !hide[0]" class="tky-cursor tky-right" color="accent">{{hide[0] ? 'visibility_off' : 'visibility'}}</mat-icon>
      </mat-card>
    </form>
    </div>
    <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formProducto">
      <mat-card>
        <h3 class="text-center">Datos del Producto_Cámara secado</h3>
        <mat-card-content class=" text-center  tky-full-width" *ngIf="hide[1]">
          <div class="row">
            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Hum. Final Prom" class="text-center" formControlName="hum_final_prom">
                  
                  <span matSuffix>% b.h.</span>
                </mat-form-field>
              </h5>
            </div>

            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Humedad Inicial" class="text-center" formControlName="humedad_inicial">
                  
                  <span matSuffix>% b.h.</span>
                </mat-form-field>
              </h5>
            </div>
            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Temperatura Inicial" class="text-center" formControlName="temperatura_inicial">
                  
                  <span matSuffix>°C</span>
                </mat-form-field>
              </h5>
            </div>
          </div>
        </mat-card-content>
        <mat-icon (click)="hide[1] = !hide[1]" class="tky-cursor tky-right" color="accent">{{hide[1] ? 'visibility_off' : 'visibility'}}</mat-icon>
      </mat-card>
    </form>
    </div>
    <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formLugar">
      <mat-card>
        <h3 class="text-center">Datos del Lugar</h3>

        <mat-card-content class=" text-center  tky-full-width" *ngIf="hide[2]">
          <div class="row">


            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Altitud" class="text-center" formControlName="altitud">
                  
                  <span matSuffix>m.s.n.m.</span>
                </mat-form-field>
              </h5>
            </div>
            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Temperatura Ambiente" class="text-center" formControlName="temperatura_ambiente">
                  
                  <span matSuffix>°C</span>
                </mat-form-field>
              </h5>
            </div>
          </div>
        </mat-card-content>
        <mat-icon (click)="hide[2] = !hide[2]" class="tky-cursor tky-right" color="accent">{{hide[2] ? 'visibility_off' : 'visibility'}}</mat-icon>
      </mat-card>
    </form>
    </div>
    <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formSistema">

      <mat-card>
        <h3 class="text-center">Datos del Sistema de Secado</h3>

        <mat-card-content class=" text-center  tky-full-width" *ngIf="hide[3]">
          <div class="row">
            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Sección transversal Silo" class="text-center" formControlName="seccion_transversal">
                  
                  <span matSuffix>m²</span>
                </mat-form-field>
              </h5>
            </div>

            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Espesor capa de grano en cámara de secado" class="text-center" formControlName="espesor_capa">
                  <span matSuffix>m</span>
                </mat-form-field>
              </h5>
            </div>
            <div class="col col-sm-12 col-md-6 col-lg-6 tky-top-buffer">
              <h5 caption>
                <mat-form-field class="tky-full-width text-center">
                  <input matInput placeholder="Imprimir resultados parciales cada" class="text-center" formControlName="imprimir_resultados">
                  <span matSuffix>Horas</span>
                </mat-form-field>
              </h5>
            </div>
          </div>
        </mat-card-content>
        <mat-icon (click)="hide[3] = !hide[3]" class="tky-cursor tky-right" color="accent">{{hide[3] ? 'visibility_off' : 'visibility'}}</mat-icon>
      </mat-card>
    </form>
    </div>
    <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
      <form [formGroup]="formSecador">
      <mat-card>
        <h3 class="text-center">Seleccione el tipo de Secador:</h3>
        <mat-card-content *ngIf="hide[4]">
            <mat-radio-group class="example-radio-group" formControlName="tipo_secador">
                <mat-radio-button value="1" class="">Sin Cámara de presecado</mat-radio-button>
                <mat-radio-button value="2" class=""> Silo Secador "Cenicafé"</mat-radio-button>
                <mat-radio-button value="3" class=""> Silo Secador Vertical (dos pisos)</mat-radio-button>
                <mat-radio-button value="4" class="">Silo Secador de tres pisos</mat-radio-button>
              </mat-radio-group>
        </mat-card-content>
        <mat-icon (click)="hide[4] = !hide[4]" class="tky-cursor tky-right" color="accent">{{hide[4] ? 'visibility_off' : 'visibility'}}</mat-icon>
      </mat-card>
    </form>
    </div>

    <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formFlujoSecador">

      <mat-card>
        <h3 class="text-center">Inversión de flujo para secador diferente 3 Piso:</h3>
        <mat-card-subtitle class="text-center " *ngIf="hide[5]">
          ¿Desea Invertir el sentido del flujo de aire?
          <br>
          <mat-radio-group class="tky-full-width" formControlName="invertir_aire">
            <mat-radio-button value="1" class="">NO</mat-radio-button>
            <mat-radio-button value="2" class="">SI</mat-radio-button>
          </mat-radio-group>
        </mat-card-subtitle>
        <mat-card-content *ngIf="hide[5]">
          <div class="row text-center">
            <div class="col col-sm-12 col-md-12 col-lg-12 ">
              <h5>
                <mat-form-field>
                  <input matInput placeholder="" type="number" formControlName="invertir_hora">
                  <span matPrefix>Invertir flujo cada &nbsp; &nbsp; </span>
                  <span matSuffix>horas</span>
                </mat-form-field>
              </h5>
            </div>
          </div>
        </mat-card-content>
        <mat-icon (click)="hide[5] = !hide[5]" class="tky-cursor tky-right" color="accent">{{hide[5] ? 'visibility_off' : 'visibility'}}</mat-icon>
      </mat-card>
    </form>
    </div>
    <div class="col col-sm-12 col-md-12 col-lg-6 tky-top-buffer">
        <form [formGroup]="formFlujoAire">
      <mat-card>
        <h3 class="text-center">Sentido Inicial del Flujo del Aire
            <mat-icon (click)="hide[6] = !hide[6]" class="tky-cursor tky-right" color="accent">{{hide[6] ? 'visibility_off' : 'visibility'}}</mat-icon>
        </h3>

        <mat-card-content class="tky-full-width"  *ngIf="hide[6]">
          <mat-radio-group class="tky-full-width" formControlName="sentido_aire">
            <mat-radio-button value="1" class="tky-left">Ascendente</mat-radio-button>
            <mat-radio-button value="2" class="tky-right">Descendente</mat-radio-button>
          </mat-radio-group>
        </mat-card-content>
        
      </mat-card>
    </form>
    </div>
  </div>
</mat-card-content>
  
  <mat-card-footer align="end">
    <button mat-raised-button color="accent" (click)="save()">Iniciar Simulación</button>
  </mat-card-footer>
</mat-card>